List Spot fills only
curl --request GET \
--url https://api.hypedexer.com/fills/spot/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/fills/spot/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/fills/spot/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Fetched 2 fills_spot (compact)",
"data": [
{
"user": "0x8e3d5e109837c11ddd373d97c9b3e4d716f1423a",
"coin": "@700",
"coinMeaning": "@700",
"px": 0.26793,
"sz": 5.07,
"side": "B",
"time": "2026-09-18T00:05:00.756000",
"tid": 464195942862521,
"oid": 548310224106,
"hash": "0x70d06d34adf8383d724a0444a28a75020406001a48fb570f149918876cfc1228",
"fee": 0.00182517,
"feeToken": "DRV",
"feeUsdc": 0.0004890177981,
"typeTrade": "spot",
"priorityGas": null
},
{
"user": "0x8e3d5e109837c11ddd373d97c9b3e4d716f1423a",
"coin": "@700",
"coinMeaning": "@700",
"px": 0.26791,
"sz": 69.85,
"side": "B",
"time": "2026-09-18T00:05:00.756000",
"tid": 1122068547202978,
"oid": 548310224106,
"hash": "0x70d06d34adf8383d724a0444a28a75020406001a48fb570f149918876cfc1228",
"fee": 0.02514598,
"feeToken": "DRV",
"feeUsdc": 0.006736859501799999,
"typeTrade": "spot",
"priorityGas": null
}
],
"total_count": 6845,
"execution_time_ms": 308.38,
"next_cursor": null,
"has_more": null
}Fills
List Spot fills only
Returns Spot fills only. Each fill includes priorityGas (priority fee paid, null if none) and block_number (Hyperliquid block number, null for older fills).
GET
/
fills
/
spot
/
List Spot fills only
Authorizations
Your Hypedexer API key. Create one in the console at https://app.hypedexer.com. Authorization: Bearer <key> and the api_key query parameter are accepted as well.
Headers
Query Parameters
Single coin filter
Multiple coins filter (repeat param)
Available options:
B, A Available options:
ASC, DESC Filter by priority gas: true = only fills with priorityGas > 0, false = only fills without, omit = no filter.